jQuery(function () {

    /**
     * Lana tags
     * select2
     */
    var lana_seo_tags = jQuery('#lana-seo-metabox').find('select[data-select-type="select2"]');

    lana_seo_tags.select2({
        theme: 'lana-seo',
        tags: true,
        tokenSeparators: [',', ';']
    });

    /**
     * Lana tags in term
     * select2
     */
    var lana_seo_tags_in_term = jQuery('#edittag').find('select[data-select-type="select2"]');

    lana_seo_tags_in_term.select2({
        theme: 'lana-seo',
        tags: true,
        tokenSeparators: [',']
    });

    /**
     * Lana
     * character
     */
    jQuery('textarea#lana-seo-meta-description').keyup(function () {

        var textarea_length = parseInt(jQuery(this).val().length);
        var max_length = parseInt(jQuery(this).attr('maxlength'));

        var remaining_length = max_length - textarea_length;

        jQuery('#lana-seo-meta-description-chars').text(remaining_length);
    });

    /**
     * Lana
     * image upload
     */
    jQuery('body').on('click', '.lana-seo-og-image-upload', function () {

        var image_row = jQuery(this).closest('tr.image-row');
        var image_preview = image_row.find('.lana-seo-og-image-preview');
        var image_url = image_row.find('#lana-seo-og-image');

        wp.media.editor.send.attachment = function (props, attachment) {
            image_preview.attr('src', attachment.url);
            image_url.val(attachment.url);
        };
        wp.media.editor.open(jQuery(this));

        return false;
    });

});